Lavalite package that provides series management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/series`.

    "litecms/series": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Series\Providers\SeriesServiceProvider::class,

And also add it to alias

    'Series'  => Litecms\Series\Facades\Series::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\Series\\Seeds\\SeriesTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Series\Providers\SeriesServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Series\Providers\SeriesServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Series\Providers\SeriesServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/series/{modulename}

**User**

    http://path-to-route-folder/user/series/{modulename}

**Public**

    http://path-to-route-folder/series


### API endpoints

**List**

    http://path-to-route-folder/api/user/series/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/series/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/series/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/series/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/series/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/series/{modulename}/{slug}
    METHOD: GET