<?php

// Web routes  for series.

// Guard routes for series
Route::prefix('{guard}/series')->group(function () {
    Route::resource('series', 'SeriesResourceController');
});



// Public routes for series
Route::get('series/', 'SeriesPublicController@index');
Route::get('series/{slug?}', 'SeriesPublicController@show');


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for series
            Route::prefix('{guard}/series')->group(function () {
                Route::resource('series', 'SeriesResourceController');
            });
            
            

            // Public routes for series
            Route::get('series/', 'SeriesPublicController@index');
            Route::get('series/{slug?}', 'SeriesPublicController@show');

        }
    );
}