<?php

namespace Litecms\Series\Repositories\Eloquent;

use Litecms\Series\Interfaces\SeriesRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litecms\Series\Repositories\Eloquent\Presenters\SeriesItemPresenter;


class SeriesRepository extends BaseRepository implements SeriesRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litecms.series.series.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.series.series.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return SeriesItemPresenter::class;
    }
}
